/*
 * @(#)MenuBarUI.java	1.6 97/12/15
 *
 * Copyright (c) 1997 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 */

package java.awt.swing.plaf;

import java.awt.Insets;
import java.awt.swing.JMenuBar;

import java.awt.swing.JMenu;
/**
 * Pluggable look and feel interface for JMenuBar.
 *
 * @version 1.6 12/15/97
 * @author Georges Saab
 * @author David Karlton
 */

public abstract class MenuBarUI extends ComponentUI {
    public void registerMenu(JMenu aMenu){}
    public void unregisterMenu(JMenu aMenu){}
}

