/**
 * (c) Copyright 1996 Sun Microsystems, Inc.
 *
 * @(#)HTMLError.java	1.3 98/01/20
 */
package java.awt.swing.text.html;

/**
 * This interface defines the error codes for error conditions
 * that may happen while using the calendar api classes.
 *
 * @version	1.3 98/01/20
 * @author	Jill Nakata
 * @author	Sara Swanson
 */

interface HTMLError {
    public static final int	FAILED			= 0;
    public static final int	COLOR_CONVERSION	= 1;
    public static final int	HEX_CONVERSION		= 2;
    public static final int	MISSING_HEAD_TAG 	= 3;
    public static final int	PARSE_ERROR      	= 4;
    public static final int	ELEMENT_TREE_ERROR    	= 5;
    public static final int	SAVE_ERROR 		= 6;
    public static final int	SET_TITLE_ERROR		= 7;
    public static final int	CANNOT_READ_URL		= 8;
    public static final int	SYMBOL_NOT_FOUND	= 9;
    public static final int	SPECIAL_CHAR_NOT_FOUND	= 10;
}

