/*
 * @(#)CTX_RESTRICT_SCOPE.java	1.4 98/03/18
 *
 * Copyright 1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package org.omg.CORBA;

/**
 * CTX_RESTRICT_SCOPE is used to restrict the search scope to a particular Context object 
 * or the specified scope while invoking the <code>get_values()</code> method in Context.
 * 
 * @see org.omg.CORBA.Context#get_values(String, int, String)
 * @version 1.4, 03/18/98
 * @since   JDK1.2
 */
public interface CTX_RESTRICT_SCOPE {
  int value = 15;
}

