/*
 * @(#)NotFoundReason.java	1.2 98/03/18
 *
 * Copyright 1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

/*
 * File: ../../../../../src/share/classes/org/omg/CosNaming/NamingContextPackage/NotFoundReason.java
 * From: ../../../../../src/share/classes/org/omg/CosNaming/nameservice.idl
 * Date: Tue Sep  9 19:30:42 1997
 *   By: idltojava Java IDL 1.2 Oct 13 1997 17:18:39
 */

package org.omg.CosNaming.NamingContextPackage;
public final class NotFoundReason {
     public static final int _missing_node = 0,
	  		     _not_context = 1,
	  		     _not_object = 2;
     public static final NotFoundReason missing_node = new NotFoundReason(_missing_node);
     public static final NotFoundReason not_context = new NotFoundReason(_not_context);
     public static final NotFoundReason not_object = new NotFoundReason(_not_object);
     public int value() {
         return _value;
     }
     public static final NotFoundReason from_int(int i)  throws  org.omg.CORBA.BAD_PARAM {
           switch (i) {
             case _missing_node:
                 return missing_node;
             case _not_context:
                 return not_context;
             case _not_object:
                 return not_object;
             default:
	              throw new org.omg.CORBA.BAD_PARAM();
           }
     }
     private NotFoundReason(int _value){
         this._value = _value;
     }
     private int _value;
}
