/*
 * @(#)_BindingIteratorImplBase.java	1.2 98/03/18
 *
 * Copyright 1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

/*
 * File: ../../../../../src/share/classes/org/omg/CosNaming/_BindingIteratorImplBase.java
 * From: ../../../../../src/share/classes/org/omg/CosNaming/nameservice.idl
 * Date: Tue Sep  9 19:30:42 1997
 *   By: idltojava Java IDL 1.2 Oct 13 1997 17:18:39
 */

package org.omg.CosNaming;
public abstract class _BindingIteratorImplBase extends org.omg.CORBA.DynamicImplementation implements org.omg.CosNaming.BindingIterator {
    // Constructor
    public _BindingIteratorImplBase() {
         super();
    }
    // Type strings for this class and its superclases
    private static final String _type_ids[] = {
        "IDL:omg.org/CosNaming/BindingIterator:1.0"
    };

    public String[] _ids() { return (String[]) _type_ids.clone(); }

    private static java.util.Dictionary _methods = new java.util.Hashtable();
    static {
      _methods.put("next_one", new java.lang.Integer(0));
      _methods.put("next_n", new java.lang.Integer(1));
      _methods.put("destroy", new java.lang.Integer(2));
     }
    // DSI Dispatch call
    public void invoke(org.omg.CORBA.ServerRequest r) {
       switch (((java.lang.Integer) _methods.get(r.op_name())).intValue()) {
           case 0: // org.omg.CosNaming.BindingIterator.next_one
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _b = _orb().create_any();
              _b.type(org.omg.CosNaming.BindingHelper.type());
              _list.add_value("b", _b, org.omg.CORBA.ARG_OUT.value);
              r.params(_list);
              org.omg.CosNaming.BindingHolder b;
              b = new org.omg.CosNaming.BindingHolder();
              boolean ___result;
                            ___result = this.next_one(b);
              org.omg.CosNaming.BindingHelper.insert(_b, b.value);
              org.omg.CORBA.Any __result = _orb().create_any();
              __result.insert_boolean(___result);
              r.result(__result);
              }
              break;
           case 1: // org.omg.CosNaming.BindingIterator.next_n
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _how_many = _orb().create_any();
              _how_many.type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_ulong));
              _list.add_value("how_many", _how_many, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _bl = _orb().create_any();
              _bl.type(org.omg.CosNaming.BindingListHelper.type());
              _list.add_value("bl", _bl, org.omg.CORBA.ARG_OUT.value);
              r.params(_list);
              int how_many;
              how_many = _how_many.extract_ulong();
              org.omg.CosNaming.BindingListHolder bl;
              bl = new org.omg.CosNaming.BindingListHolder();
              boolean ___result;
                            ___result = this.next_n(how_many, bl);
              org.omg.CosNaming.BindingListHelper.insert(_bl, bl.value);
              org.omg.CORBA.Any __result = _orb().create_any();
              __result.insert_boolean(___result);
              r.result(__result);
              }
              break;
           case 2: // org.omg.CosNaming.BindingIterator.destroy
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              r.params(_list);
                            this.destroy();
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
            default:
              throw new org.omg.CORBA.BAD_OPERATION(0, org.omg.CORBA.CompletionStatus.COMPLETED_MAYBE);
       }
 }
}
