/*
 * @(#)ARG_OUT.java	1.6 98/03/18
 *
 * Copyright 1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package org.omg.CORBA;

/**
 * ARG_OUT is one of the possible values that indicate the direction in 
 * which an argument is being passed during a dynamic invocation (DII).
 * ARG_OUT.value represents an "output" argument to an invocation. 
 *
 * @version 1.6, 03/18/98
 * @see     org.omg.CORBA.NamedValue
 * @since   JDK1.2
 */

public interface ARG_OUT {
  int value = 2;
}

