/*
 * @(#)DefinitionKind.java	1.2 98/03/18
 *
 * Copyright 1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

/*
 * File: ../../../../../src/share/classes/org/omg/CORBA/DefinitionKind.java
 * From: ../../../../../src/share/classes/org/omg/CORBA/ir.idl
 * Date: Sat Aug 30 14:00:48 1997
 *   By: idltojava Java IDL 1.2 Oct 13 1997 17:18:39
 */

package org.omg.CORBA;
public final class DefinitionKind {
     public static final int _dk_none = 0,
	  		     _dk_all = 1,
	  		     _dk_Attribute = 2,
	  		     _dk_Constant = 3,
	  		     _dk_Exception = 4,
	  		     _dk_Interface = 5,
	  		     _dk_Module = 6,
	  		     _dk_Operation = 7,
	  		     _dk_Typedef = 8,
	  		     _dk_Alias = 9,
	  		     _dk_Struct = 10,
	  		     _dk_Union = 11,
	  		     _dk_Enum = 12,
	  		     _dk_Primitive = 13,
	  		     _dk_String = 14,
	  		     _dk_Sequence = 15,
	  		     _dk_Array = 16,
	  		     _dk_Repository = 17;
     public static final DefinitionKind dk_none = new DefinitionKind(_dk_none);
     public static final DefinitionKind dk_all = new DefinitionKind(_dk_all);
     public static final DefinitionKind dk_Attribute = new DefinitionKind(_dk_Attribute);
     public static final DefinitionKind dk_Constant = new DefinitionKind(_dk_Constant);
     public static final DefinitionKind dk_Exception = new DefinitionKind(_dk_Exception);
     public static final DefinitionKind dk_Interface = new DefinitionKind(_dk_Interface);
     public static final DefinitionKind dk_Module = new DefinitionKind(_dk_Module);
     public static final DefinitionKind dk_Operation = new DefinitionKind(_dk_Operation);
     public static final DefinitionKind dk_Typedef = new DefinitionKind(_dk_Typedef);
     public static final DefinitionKind dk_Alias = new DefinitionKind(_dk_Alias);
     public static final DefinitionKind dk_Struct = new DefinitionKind(_dk_Struct);
     public static final DefinitionKind dk_Union = new DefinitionKind(_dk_Union);
     public static final DefinitionKind dk_Enum = new DefinitionKind(_dk_Enum);
     public static final DefinitionKind dk_Primitive = new DefinitionKind(_dk_Primitive);
     public static final DefinitionKind dk_String = new DefinitionKind(_dk_String);
     public static final DefinitionKind dk_Sequence = new DefinitionKind(_dk_Sequence);
     public static final DefinitionKind dk_Array = new DefinitionKind(_dk_Array);
     public static final DefinitionKind dk_Repository = new DefinitionKind(_dk_Repository);
     public int value() {
         return _value;
     }
     public static final DefinitionKind from_int(int i)  throws  org.omg.CORBA.BAD_PARAM {
           switch (i) {
             case _dk_none:
                 return dk_none;
             case _dk_all:
                 return dk_all;
             case _dk_Attribute:
                 return dk_Attribute;
             case _dk_Constant:
                 return dk_Constant;
             case _dk_Exception:
                 return dk_Exception;
             case _dk_Interface:
                 return dk_Interface;
             case _dk_Module:
                 return dk_Module;
             case _dk_Operation:
                 return dk_Operation;
             case _dk_Typedef:
                 return dk_Typedef;
             case _dk_Alias:
                 return dk_Alias;
             case _dk_Struct:
                 return dk_Struct;
             case _dk_Union:
                 return dk_Union;
             case _dk_Enum:
                 return dk_Enum;
             case _dk_Primitive:
                 return dk_Primitive;
             case _dk_String:
                 return dk_String;
             case _dk_Sequence:
                 return dk_Sequence;
             case _dk_Array:
                 return dk_Array;
             case _dk_Repository:
                 return dk_Repository;
             default:
	              throw new org.omg.CORBA.BAD_PARAM();
           }
     }
     private DefinitionKind(int _value){
         this._value = _value;
     }
     private int _value;
}
